Historique de version de DoNotTrackMe

7 versions

Méfiez-vous des anciennes versions !

Ces versions sont affichées pour informations et à titre d’essais. Vous devriez toujours utiliser la dernière version d’un module.

Version 7.8.2431 4.4 MiB Fonctionne avec Firefox 51.0 et supérieures

Thanks for using Blur! Changes in this release:

• Blur Sync is now much faster
• Improved auto-fill on dozens of sites

Let us know what you think - we're always listening at support@getabine.com.

Version 7.8.2428 4.4 MiB Fonctionne avec Firefox pour Android 51.0 et supérieures, Firefox 51.0 et supérieures

Welcome to Blur 7.8.2428 with improvements for all Blur users.

• Improved auto-fill on dozens of sites
• Better browser compatibility
• Updated with the latest security enhancements

Let us know what you think - we're always listening at support@getabine.com.

Version 7.8.2424 4.4 MiB Fonctionne avec Firefox 51.0 et supérieures

Welcome to Blur 7.8 with improvements and fixes for all Blur users.

• Improved auto-fill on dozens of sites
• Fixed auto-submit and B-icon features
• Better browser compatibility
• Quick sign-on to sites with mobile authentication

Let us know what you think - we're always listening at support@getabine.com.

Version 7.8.2408 4.4 MiB Fonctionne avec Firefox 51.0 et supérieures

Welcome to Blur 7.8 with improvements and fixes for all Blur users.

• Improved auto-fill on dozens of sites
• Fixed auto-submit and B-icon features
• Better browser compatibility

Let us know what you think - we're always listening at support@getabine.com.

Version 7.7.2395 4.3 MiB Fonctionne avec Firefox 51.0 et supérieures

Welcome to Blur 7.7 with improvements and fixes for all Blur users.

• New optimizations make Blur faster than ever
• Improved support for orvis.com, newegg.com, and .xsd pages
• Better syncing between extension and dashboard site

Let us know what you think - we're always listening at support@getabine.com.

Version 7.6.2384 1.9 MiB Fonctionne avec Firefox 51.0 et supérieures

Thank you for using Blur - simply better Passwords, Payments, and Privacy. This version includes many bug fixes and optimizations and is recommended for all users.

Version 7.5.9010 1.9 MiB Fonctionne avec Firefox 52.0 et supérieures

Thanks for using Blur! This release supports Firefox's new Web Extension format. Recommended for all users.